import { AfterViewInit, OnDestroy, QueryList } from '@angular/core';
import { DialogRef, MessageComponent } from '@wm/components/base';
import { FormComponent } from '@wm/components/data/form';
import * as i0 from "@angular/core";
export declare class LoginDialogDirective implements AfterViewInit, OnDestroy {
    private contexts;
    private dialogRef;
    formCmp: QueryList<FormComponent>;
    msgCmp: MessageComponent;
    dialogOpenSubscription: any;
    constructor(contexts: Array<any>, dialogRef: DialogRef<any>);
    hideMsg(): void;
    showError(msg: any): void;
    showLoading(): void;
    onSuccess(): void;
    onError(error?: any): void;
    getLoginDetails(): {};
    doLogin(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginDialogDirective, [{ self: true; }, { self: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LoginDialogDirective, "[wmDialog][wmLoginDialog]", never, {}, {}, ["msgCmp", "formCmp"], never, false, never>;
}
